# Object Groups

Object Groups organize [Objects](/snmpcoll/configuration/snmp-definition-files/def_objects.md) together which may be implemented by a managed entity. For example, a network interface may contain attributes from the standard interfaces tables, ethernet tables and vendor-specific extension tables. These objects can be organized into a common object group so that they can be easily applied to applicable [Device Groups](/snmpcoll/configuration/snmp-definition-files/def_device_groups.md).

The location of the object group definition files is specified by `EF_INPUT_SNMP_OBJECT_GROUP_DEFINITIONS_DIRECTORY_PATH` in the collectors configuration options. The default location is `/etc/elastiflow/snmp/object_groups`.

### Configuration Example

```yaml
netif:
  objects:
    - IF-MIB::system
    - IF-MIB::ifEntry
    - IF-MIB::ifXEntry
    - EtherLike-MIB::dot3StatsEntry
    - EtherLike-MIB::dot3ControlEntry
    - EtherLike-MIB::dot3PauseEntry
    - EtherLike-MIB::dot3HCStatsEntry
```

#### objects

Defines a list of [Objects](/snmpcoll/configuration/snmp-definition-files/def_objects.md) which are included in the Object Group.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elastiflow.com/snmpcoll/configuration/snmp-definition-files/def_object_groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
